Bug 151711 - startx fails with msgs about tdfx not found.
startx fails with msgs about tdfx not found.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-21 15:09 EST by George R. Goffe
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-14 17:29:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George R. Goffe 2005-03-21 15:09:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.4) Gecko/20041224

Description of problem:
After initial install of RHEL 3 update 3 X11 server worked fine. After running up2date to update ALL installed software including the kernel (linux-2.4.21-27.0.2.EL) and subsequent reboot, the X11 server fails to start. The following messages:

(WW) TDFX: No matching device section for instance (busid pci:1:5:1) found
modprobe: Can't locate module tdfx
[drm] failed to load kernel module "tdfx"
(EE) TDFX(0): [dri]DRIScreenInit failed, disabling DRI.

waiting for X server to shutdown

Version-Release number of selected component (if applicable):
XFree86-4.3.0-78.EL

How reproducible:
Always

Steps to Reproduce:
1.login as root
2.enter password
3.enter startx
  

Actual Results:  a brief X11 display appears with a X cursor and then the server dies with error messages

Expected Results:  X11 server should start and the gnome desk top should appear.

Additional info:

I have made ABSOLUTELY NO other changes to the system from the moment it was installed except for running up2date.
Comment 1 George R. Goffe 2005-03-21 15:53:19 EST
This is the /var/log/XFree86.0.log file produced:

  

XFree86 Version 4.3.0 (Red Hat Enterprise Linux 3 release: 4.3.0-78.EL)
Release Date: 15 August 2003
X Protocol Version 11, Revision 0, Release 6.6
Build Operating System: Linux 2.6.9-1.751_ELsmp i686 [ELF] 
Build Date: 30 November 2004
Build Host: tweety.build.redhat.com
 
Before reporting any problems, please make sure you are using the most
recent XFree86 packages available from Red Hat by checking for updates
at http://rhn.redhat.com/errata or by using the Red Hat Network up2date
tool.  If you still encounter problems, please file bug reports in the
XFree86.org bugzilla at http://bugs.xfree86.org and/or Red Hat
bugzilla at http://bugzilla.redhat.com

Module Loader present
OS Kernel: Linux version 2.4.21-27.0.2.EL (bhcompile@tweety.build.redhat.com)
(gcc version 3.2.3 20030502 (Red Hat Linux 3.2.3-47)) #1 Wed Jan 12 23:35:46 EST
2005 
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Mon Mar 21 12:20:35 2005
(==) Using config file: "/etc/X11/XF86Config"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Videocard0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(**) Option "XkbOptions" "ctrl:swapcaps"
(**) XKB: options: "ctrl:swapcaps"
(==) Keyboard: CustomKeycode disabled
(**) |-->Input Device "DevInputMice"
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Open APM successful
(II) Module ABI versions:
XFree86 ANSI C Emulation: 0.2
XFree86 Video Driver: 0.6
XFree86 XInput driver : 0.4
XFree86 Server Extension : 0.2
XFree86 Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.0
Module class: XFree86 Font Renderer
ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.0
ABI class: XFree86 Video Driver, version 0.6
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x80002050, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 1022,7006 card 0000,0000 rev 25 class 06,00,00 hdr 80
(II) PCI: 00:01:0: chip 1022,7007 card 0000,0000 rev 01 class 06,04,00 hdr 81
(II) PCI: 00:04:0: chip 1106,0686 card 1043,800d rev 1b class 06,01,00 hdr 80
(II) PCI: 00:04:1: chip 1106,0571 card 0000,0000 rev 06 class 01,01,8a hdr 00
(II) PCI: 00:04:2: chip 1106,3038 card 0925,1234 rev 0e class 0c,03,00 hdr 00
(II) PCI: 00:04:3: chip 1106,3038 card 0925,1234 rev 0e class 0c,03,00 hdr 00
(II) PCI: 00:04:4: chip 1106,3057 card 0000,0000 rev 20 class 0c,05,00 hdr 00
(II) PCI: 00:0d:0: chip 10ec,8169 card 1385,311a rev 10 class 02,00,00 hdr 00
(II) PCI: 00:0e:0: chip 1274,1371 card 1274,8001 rev 07 class 04,01,00 hdr 00
(II) PCI: 00:0f:0: chip 9004,8178 card 0000,0000 rev 00 class 01,00,00 hdr 00
(II) PCI: 00:10:0: chip 105a,4d30 card 105a,4d33 rev 02 class 01,80,00 hdr 00
(II) PCI: 01:05:0: chip 121a,0009 card 121a,0002 rev 01 class 03,00,00 hdr 00
(II) PCI: 01:05:1: chip 121a,0009 card 121a,0002 rev 01 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,1), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
[0] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
[0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
[0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x000a (VGA_EN is set)
(II) Bus 1 I/O range:
[0] -1  0       0x00007000 - 0x00007fff (0x1000) IX[B]
(II) Bus 1 non-prefetchable memory range:
[0] -1  0       0xe7e00000 - 0xefefffff (0x8100000) MX[B]
(II) Bus 1 prefetchable memory range:
[0] -1  0       0xcfc00000 - 0xdfcfffff (0x10100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:4:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(1:5:0) 3Dfx Interactive, Inc. Voodoo 4 / Voodoo 5 rev 1, Mem @
0xe8000000/26, 0xd0000000/27, I/O @ 0x7c00/8, BIOS @ 0xefef0000/16
(--) PCI: (1:5:1) 3Dfx Interactive, Inc. Voodoo 4 / Voodoo 5 rev 1, I/O @
0xfffffe00/8
(II) Addressable bus resource ranges are
[0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
[1] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
[0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
[1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
[2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
[3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
[4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
[5] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
[6] -1  0       0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xe0000000 from 0xe3ffffff to 0xdfffffff
(II) PCI Memory resource overlap reduced 0xe7dff000 from 0xe7dfffff to 0xe7dfefff
(II) PCI I/O resource overlap reduced 0x0000d800 from 0x0000d803 to 0x0000d7ff
(II) Active PCI resource ranges:
[0] -1  0       0xeff90000 - 0xeff9ffff (0x10000) MX[B]
[1] -1  0       0xeffa0000 - 0xeffbffff (0x20000) MX[B]
[2] -1  0       0xeffff000 - 0xefffffff (0x1000) MX[B]
[3] -1  0       0xefffef00 - 0xefffefff (0x100) MX[B]
[4] -1  0       0xe7dff000 - 0xe7dfefff (0x0) MX[B]O
[5] -1  0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
[6] -1  0       0xefef0000 - 0xefefffff (0x10000) MX[B](B)
[7] -1  0       0xd0000000 - 0xd7ffffff (0x8000000) MX[B](B)
[8] -1  0       0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
[9] -1  0       0x0000b400 - 0x0000b43f (0x40) IX[B]
[10] -1 0       0x0000b800 - 0x0000b803 (0x4) IX[B]
[11] -1 0       0x0000bc00 - 0x0000bc07 (0x8) IX[B]
[12] -1 0       0x0000c000 - 0x0000c003 (0x4) IX[B]
[13] -1 0       0x0000c400 - 0x0000c407 (0x8) IX[B]
[14] -1 0       0x0000dc00 - 0x0000dcff (0x100) IX[B]
[15] -1 0       0x0000c800 - 0x0000c83f (0x40) IX[B]
[16] -1 0       0x0000cc00 - 0x0000ccff (0x100) IX[B]
[17] -1 0       0x0000d400 - 0x0000d41f (0x20) IX[B]
[18] -1 0       0x0000d000 - 0x0000d01f (0x20) IX[B]
[19] -1 0       0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
[20] -1 0       0x0000d800 - 0x0000d7ff (0x0) IX[B]O
[21] -1 0       0x00007c00 - 0x00007cff (0x100) IX[B](B)
(II) Inactive PCI resource ranges:
[0] -1  0       0xfffffe00 - 0xfffffeff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
[0] -1  0       0xeff90000 - 0xeff9ffff (0x10000) MX[B]
[1] -1  0       0xeffa0000 - 0xeffbffff (0x20000) MX[B]
[2] -1  0       0xeffff000 - 0xefffffff (0x1000) MX[B]
[3] -1  0       0xefffef00 - 0xefffefff (0x100) MX[B]
[4] -1  0       0xe7dff000 - 0xe7dfefff (0x0) MX[B]O
[5] -1  0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
[6] -1  0       0xefef0000 - 0xefefffff (0x10000) MX[B](B)
[7] -1  0       0xd0000000 - 0xd7ffffff (0x8000000) MX[B](B)
[8] -1  0       0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
[9] -1  0       0x0000b400 - 0x0000b43f (0x40) IX[B]
[10] -1 0       0x0000b800 - 0x0000b803 (0x4) IX[B]
[11] -1 0       0x0000bc00 - 0x0000bc07 (0x8) IX[B]
[12] -1 0       0x0000c000 - 0x0000c003 (0x4) IX[B]
[13] -1 0       0x0000c400 - 0x0000c407 (0x8) IX[B]
[14] -1 0       0x0000dc00 - 0x0000dcff (0x100) IX[B]
[15] -1 0       0x0000c800 - 0x0000c83f (0x40) IX[B]
[16] -1 0       0x0000cc00 - 0x0000ccff (0x100) IX[B]
[17] -1 0       0x0000d400 - 0x0000d41f (0x20) IX[B]
[18] -1 0       0x0000d000 - 0x0000d01f (0x20) IX[B]
[19] -1 0       0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
[20] -1 0       0x0000d800 - 0x0000d7ff (0x0) IX[B]O
[21] -1 0       0x00007c00 - 0x00007cff (0x100) IX[B](B)
(II) Inactive PCI resource ranges after removing overlaps:
[0] -1  0       0xfffffe00 - 0xfffffeff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
[0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
[1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
[2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
[3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
[4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
[5] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
[6] -1  0       0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
[0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
[1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
[2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
[3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
[4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
[5] -1  0       0xeff90000 - 0xeff9ffff (0x10000) MX[B]
[6] -1  0       0xeffa0000 - 0xeffbffff (0x20000) MX[B]
[7] -1  0       0xeffff000 - 0xefffffff (0x1000) MX[B]
[8] -1  0       0xefffef00 - 0xefffefff (0x100) MX[B]
[9] -1  0       0xe7dff000 - 0xe7dfefff (0x0) MX[B]O
[10] -1 0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
[11] -1 0       0xefef0000 - 0xefefffff (0x10000) MX[B](B)
[12] -1 0       0xd0000000 - 0xd7ffffff (0x8000000) MX[B](B)
[13] -1 0       0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
[14] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
[15] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
[16] -1 0       0x0000b400 - 0x0000b43f (0x40) IX[B]
[17] -1 0       0x0000b800 - 0x0000b803 (0x4) IX[B]
[18] -1 0       0x0000bc00 - 0x0000bc07 (0x8) IX[B]
[19] -1 0       0x0000c000 - 0x0000c003 (0x4) IX[B]
[20] -1 0       0x0000c400 - 0x0000c407 (0x8) IX[B]
[21] -1 0       0x0000dc00 - 0x0000dcff (0x100) IX[B]
[22] -1 0       0x0000c800 - 0x0000c83f (0x40) IX[B]
[23] -1 0       0x0000cc00 - 0x0000ccff (0x100) IX[B]
[24] -1 0       0x0000d400 - 0x0000d41f (0x20) IX[B]
[25] -1 0       0x0000d000 - 0x0000d01f (0x20) IX[B]
[26] -1 0       0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
[27] -1 0       0x0000d800 - 0x0000d7ff (0x0) IX[B]O
[28] -1 0       0x00007c00 - 0x00007cff (0x100) IX[B](B)
[29] -1 0       0xfffffe00 - 0xfffffeff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.0
Module class: XFree86 Server Extension
ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.0
Module class: XFree86 Server Extension
ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 0.0.2
ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.0
ABI class: XFree86 Server Extension, version 0.2
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.0
ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.13.0
Module class: XFree86 Server Extension
ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension RECORD
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.a
(II) Module freetype: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 2.0.2
Module class: XFree86 Font Renderer
ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.2
Module class: XFree86 Font Renderer
ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.0
ABI class: XFree86 Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.0
ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "tdfx"
(II) Loading /usr/X11R6/lib/modules/drivers/tdfx_drv.o
(II) Module tdfx: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.0
Module class: XFree86 Video Driver
ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.0
Module class: XFree86 XInput Driver
ABI class: XFree86 XInput driver, version 0.4
(II) TDFX: Driver for 3dfx Banshee/Voodoo3 chipsets: 3dfx Banshee,
3dfx Voodoo3, 3dfx Voodoo5
(II) Primary Device is: PCI 01:05:0
(--) Assigning device section with no busID to primary device
(WW) TDFX: No matching Device section for instance (BusID PCI:1:5:1) found
(--) Chipset 3dfx Voodoo5 found
(II) resource ranges after xf86ClaimFixedResources() call:
[0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
[1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
[2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
[3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
[4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
[5] -1  0       0xeff90000 - 0xeff9ffff (0x10000) MX[B]
[6] -1  0       0xeffa0000 - 0xeffbffff (0x20000) MX[B]
[7] -1  0       0xeffff000 - 0xefffffff (0x1000) MX[B]
[8] -1  0       0xefffef00 - 0xefffefff (0x100) MX[B]
[9] -1  0       0xe7dff000 - 0xe7dfefff (0x0) MX[B]O
[10] -1 0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
[11] -1 0       0xefef0000 - 0xefefffff (0x10000) MX[B](B)
[12] -1 0       0xd0000000 - 0xd7ffffff (0x8000000) MX[B](B)
[13] -1 0       0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
[14] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
[15] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
[16] -1 0       0x0000b400 - 0x0000b43f (0x40) IX[B]
[17] -1 0       0x0000b800 - 0x0000b803 (0x4) IX[B]
[18] -1 0       0x0000bc00 - 0x0000bc07 (0x8) IX[B]
[19] -1 0       0x0000c000 - 0x0000c003 (0x4) IX[B]
[20] -1 0       0x0000c400 - 0x0000c407 (0x8) IX[B]
[21] -1 0       0x0000dc00 - 0x0000dcff (0x100) IX[B]
[22] -1 0       0x0000c800 - 0x0000c83f (0x40) IX[B]
[23] -1 0       0x0000cc00 - 0x0000ccff (0x100) IX[B]
[24] -1 0       0x0000d400 - 0x0000d41f (0x20) IX[B]
[25] -1 0       0x0000d000 - 0x0000d01f (0x20) IX[B]
[26] -1 0       0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
[27] -1 0       0x0000d800 - 0x0000d7ff (0x0) IX[B]O
[28] -1 0       0x00007c00 - 0x00007cff (0x100) IX[B](B)
[29] -1 0       0xfffffe00 - 0xfffffeff (0x100) IX[B](B)
(II) resource ranges after probing:
[0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
[1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
[2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
[3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
[4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
[5] -1  0       0xeff90000 - 0xeff9ffff (0x10000) MX[B]
[6] -1  0       0xeffa0000 - 0xeffbffff (0x20000) MX[B]
[7] -1  0       0xeffff000 - 0xefffffff (0x1000) MX[B]
[8] -1  0       0xefffef00 - 0xefffefff (0x100) MX[B]
[9] -1  0       0xe7dff000 - 0xe7dfefff (0x0) MX[B]O
[10] -1 0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
[11] -1 0       0xefef0000 - 0xefefffff (0x10000) MX[B](B)
[12] -1 0       0xd0000000 - 0xd7ffffff (0x8000000) MX[B](B)
[13] -1 0       0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
[14] 0  0       0x000a0000 - 0x000affff (0x10000) MS[B]
[15] 0  0       0x000b0000 - 0x000b7fff (0x8000) MS[B]
[16] 0  0       0x000b8000 - 0x000bffff (0x8000) MS[B]
[17] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
[18] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
[19] -1 0       0x0000b400 - 0x0000b43f (0x40) IX[B]
[20] -1 0       0x0000b800 - 0x0000b803 (0x4) IX[B]
[21] -1 0       0x0000bc00 - 0x0000bc07 (0x8) IX[B]
[22] -1 0       0x0000c000 - 0x0000c003 (0x4) IX[B]
[23] -1 0       0x0000c400 - 0x0000c407 (0x8) IX[B]
[24] -1 0       0x0000dc00 - 0x0000dcff (0x100) IX[B]
[25] -1 0       0x0000c800 - 0x0000c83f (0x40) IX[B]
[26] -1 0       0x0000cc00 - 0x0000ccff (0x100) IX[B]
[27] -1 0       0x0000d400 - 0x0000d41f (0x20) IX[B]
[28] -1 0       0x0000d000 - 0x0000d01f (0x20) IX[B]
[29] -1 0       0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
[30] -1 0       0x0000d800 - 0x0000d7ff (0x0) IX[B]O
[31] -1 0       0x00007c00 - 0x00007cff (0x100) IX[B](B)
[32] -1 0       0xfffffe00 - 0xfffffeff (0x100) IX[B](B)
[33] 0  0       0x000003b0 - 0x000003bb (0xc) IS[B]
[34] 0  0       0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 0.1.0
ABI class: XFree86 Video Driver, version 0.6
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.0
ABI class: XFree86 Video Driver, version 0.6
(II) TDFX(0): Softbooting the board (through the int10 interface).
(II) TDFX(0): Primary V_BIOS segment is: 0xc000
(II) TDFX(0): Softbooting the board succeeded.
(II) TDFX(0): TDFXFindChips: found 2 chip(s)
(**) TDFX(0): Depth 24, (--) framebuffer bpp 32
(==) TDFX(0): RGB weight 888
(==) TDFX(0): Default visual is TrueColor
(--) TDFX(0): Chipset: "3dfx Voodoo5"
(--) TDFX(0): Linear framebuffer at 0xD0000000
(--) TDFX(0): MMIO registers at addr 0xE8000000
(--) TDFX(0): PIO registers at addr 0x7C00
(II) TDFX(0): DRAMINIT1 read 0x40240031, programming 0x40202031 (not Banshee)
(II) TDFX(0): TDFXInitChips: numchips = 1
(II) TDFX(0): TDFXInitChips: cfgbits = 0x00000004, initbits = 0x00000301
(II) TDFX(0): TDFXInitChips: mem0base = 0xe8000000, mem1base = 0xd0000008
(II) TDFX(0): TDFXInitChips: mem0size = 0x02000000, mem1size = 0x04000000
(II) TDFX(0): TDFXInitChips: mem0bits = 0x00000005, mem1bits = 0x00000040
(II) TDFX(0): TDFXInitChips: cfgbits = 0x00000045
(II) TDFX(0): TDFXInitChips: MMIOAddr[0] = 0xe8000000
(II) TDFX(0): TDFXInitChips: LinearAddr[0] = 0xd0000008
(--) TDFX(0): VideoRAM: 32768 kByte Mapping 65536 kByte
(==) TDFX(0): Using gamma correction (1.0, 1.0, 1.0)
(II) TDFX(0): Monitor0: Using hsync range of 30.00-121.00 kHz
(II) TDFX(0): Monitor0: Using vrefresh range of 48.00-160.00 Hz
(II) TDFX(0): Clock range:  12.00 to 350.00 MHz
(II) TDFX(0): Not using default mode "1024x768" (bad mode
clock/interlace/doublescan)
(II) TDFX(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) TDFX(0): Not using default mode "1400x1050" (unknown reason)
(II) TDFX(0): Not using default mode "1400x1050" (unknown reason)
(II) TDFX(0): Not using default mode "1400x1050" (unknown reason)
(II) TDFX(0): Not using default mode "1920x1440" (hsync out of range)
(II) TDFX(0): Not using default mode "960x720" (hsync out of range)
(II) TDFX(0): Not using default mode "2048x1536" (bad mode
clock/interlace/doublescan)
(II) TDFX(0): Not using default mode "1024x768" (hsync out of range)
(II) TDFX(0): Not using default mode "2048x1536" (width too large for virtual size)
(II) TDFX(0): Not using default mode "2048x1536" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1920x1440" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1920x1440" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1856x1392" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1856x1392" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1792x1344" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1792x1344" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1920x1200" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1600x1200" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1600x1200" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1600x1200" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1600x1200" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1600x1200" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1400x1050" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1280x1024" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1280x1024" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1280x1024" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1280x960" (width too large for virtual size)
(II) TDFX(0): Not using default mode "1280x960" (width too large for virtual size)
(--) TDFX(0): Virtual size is 1152x864 (pitch 1152)
(**) TDFX(0): *Default mode "1152x864": 121.5 MHz, 77.5 kHz, 85.1 Hz
(II) TDFX(0): Modeline "1152x864"  121.50  1152 1216 1344 1568  864 865 868 911
+hsync -vsync
(**) TDFX(0): *Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(II) TDFX(0): Modeline "1024x768"   94.50  1024 1072 1168 1376  768 769 772 808
+hsync +vsync
(**) TDFX(0): *Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(II) TDFX(0): Modeline "800x600"   56.30  800 832 896 1048  600 601 604 631
+hsync +vsync
(**) TDFX(0): *Default mode "640x480": 74.2 MHz, 85.9 kHz, 85.1 Hz (D)
(II) TDFX(0): Modeline "640x480"   74.25  640 672 752 864  480 480 482 505
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "1152x864": 108.0 MHz, 67.5 kHz, 75.0 Hz
(II) TDFX(0): Modeline "1152x864"  108.00  1152 1216 1344 1600  864 865 868 900
+hsync +vsync
(**) TDFX(0):  Default mode "1152x768": 65.0 MHz, 44.2 kHz, 54.8 Hz
(II) TDFX(0): Modeline "1152x768"   65.00  1152 1178 1314 1472  768 771 777 806
+hsync +vsync
(**) TDFX(0):  Default mode "1024x768": 78.8 MHz, 60.1 kHz, 75.1 Hz
(II) TDFX(0): Modeline "1024x768"   78.80  1024 1040 1136 1312  768 769 772 800
+hsync +vsync
(**) TDFX(0):  Default mode "1024x768": 170.2 MHz, 120.2 kHz, 75.0 Hz (D)
(II) TDFX(0): Modeline "1024x768"  170.24  1024 1108 1220 1416  768 768 770 801
doublescan -hsync +vsync
(**) TDFX(0):  Default mode "1024x768": 75.0 MHz, 56.5 kHz, 70.1 Hz
(II) TDFX(0): Modeline "1024x768"   75.00  1024 1048 1184 1328  768 771 777 806
-hsync -vsync
(**) TDFX(0):  Default mode "1024x768": 133.5 MHz, 95.3 kHz, 60.0 Hz (D)
(II) TDFX(0): Modeline "1024x768"  133.47  1024 1100 1212 1400  768 768 770 794
doublescan -hsync +vsync
(**) TDFX(0):  Default mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(II) TDFX(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777 806
-hsync -vsync
(**) TDFX(0):  Default mode "960x720": 148.5 MHz, 112.5 kHz, 75.0 Hz (D)
(II) TDFX(0): Modeline "960x720"  148.50  960 1032 1144 1320  720 720 722 750
doublescan -hsync +vsync
(**) TDFX(0):  Default mode "960x720": 117.0 MHz, 90.0 kHz, 60.0 Hz (D)
(II) TDFX(0): Modeline "960x720"  117.00  960 1024 1128 1300  720 720 722 750
doublescan -hsync +vsync
(**) TDFX(0):  Default mode "928x696": 144.0 MHz, 112.5 kHz, 75.0 Hz (D)
(II) TDFX(0): Modeline "928x696"  144.00  928 992 1104 1280  696 696 698 750
doublescan -hsync +vsync
(**) TDFX(0):  Default mode "928x696": 109.2 MHz, 86.4 kHz, 60.1 Hz (D)
(II) TDFX(0): Modeline "928x696"  109.15  928 976 1088 1264  696 696 698 719
doublescan -hsync +vsync
(**) TDFX(0):  Default mode "896x672": 130.5 MHz, 106.3 kHz, 75.0 Hz (D)
(II) TDFX(0): Modeline "896x672"  130.50  896 944 1052 1228  672 672 674 708
doublescan -hsync +vsync
(**) TDFX(0):  Default mode "896x672": 102.4 MHz, 83.7 kHz, 60.0 Hz (D)
(II) TDFX(0): Modeline "896x672"  102.40  896 960 1060 1224  672 672 674 697
doublescan -hsync +vsync
(**) TDFX(0):  Default mode "960x600": 115.0 MHz, 91.0 kHz, 72.8 Hz (D)
(II) TDFX(0): Modeline "960x600"  115.00  960 968 1048 1264  600 600 602 625
doublescan -hsync -vsync
(**) TDFX(0):  Default mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz
(II) TDFX(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667
-hsync -vsync
(**) TDFX(0):  Default mode "800x600": 114.8 MHz, 106.2 kHz, 85.0 Hz (D)
(II) TDFX(0): Modeline "800x600"  114.75  800 832 928 1080  600 600 602 625
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
(II) TDFX(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625
+hsync +vsync
(**) TDFX(0):  Default mode "800x600": 101.2 MHz, 93.8 kHz, 75.0 Hz (D)
(II) TDFX(0): Modeline "800x600"  101.25  800 832 928 1080  600 600 602 625
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "800x600": 50.0 MHz, 48.1 kHz, 72.2 Hz
(II) TDFX(0): Modeline "800x600"   50.00  800 856 976 1040  600 637 643 666
+hsync +vsync
(**) TDFX(0):  Default mode "800x600": 94.5 MHz, 87.5 kHz, 70.0 Hz (D)
(II) TDFX(0): Modeline "800x600"   94.50  800 832 928 1080  600 600 602 625
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "800x600": 87.8 MHz, 81.2 kHz, 65.0 Hz (D)
(II) TDFX(0): Modeline "800x600"   87.75  800 832 928 1080  600 600 602 625
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) TDFX(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628
+hsync +vsync
(**) TDFX(0):  Default mode "800x600": 81.0 MHz, 75.0 kHz, 60.0 Hz (D)
(II) TDFX(0): Modeline "800x600"   81.00  800 832 928 1080  600 600 602 625
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "800x600": 36.0 MHz, 35.2 kHz, 56.2 Hz
(II) TDFX(0): Modeline "800x600"   36.00  800 824 896 1024  600 601 603 625
+hsync +vsync
(**) TDFX(0):  Default mode "700x525": 92.0 MHz, 93.9 kHz, 85.3 Hz (D)
(II) TDFX(0): Modeline "700x525"   92.00  700 732 828 980  525 525 527 550
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "700x525": 77.9 MHz, 81.5 kHz, 74.8 Hz (D)
(II) TDFX(0): Modeline "700x525"   77.90  700 732 892 956  525 526 532 545
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "700x525": 75.5 MHz, 77.0 kHz, 70.0 Hz (D)
(II) TDFX(0): Modeline "700x525"   75.50  700 732 828 980  525 525 527 550
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "700x525": 61.0 MHz, 64.9 kHz, 60.0 Hz (D)
(II) TDFX(0): Modeline "700x525"   61.00  700 744 820 940  525 526 532 541
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "640x512": 78.8 MHz, 91.1 kHz, 85.0 Hz (D)
(II) TDFX(0): Modeline "640x512"   78.75  640 672 752 864  512 512 514 536
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "640x512": 67.5 MHz, 80.0 kHz, 75.0 Hz (D)
(II) TDFX(0): Modeline "640x512"   67.50  640 648 720 844  512 512 514 533
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "640x512": 54.0 MHz, 64.0 kHz, 60.0 Hz (D)
(II) TDFX(0): Modeline "640x512"   54.00  640 664 720 844  512 512 514 533
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(II) TDFX(0): Modeline "640x480"   36.00  640 696 752 832  480 481 484 509
-hsync -vsync
(**) TDFX(0):  Default mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
(II) TDFX(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500
-hsync -vsync
(**) TDFX(0):  Default mode "640x480": 31.5 MHz, 37.9 kHz, 72.8 Hz
(II) TDFX(0): Modeline "640x480"   31.50  640 664 704 832  480 489 491 520
-hsync -vsync
(**) TDFX(0):  Default mode "640x480": 25.2 MHz, 31.5 kHz, 60.0 Hz
(II) TDFX(0): Modeline "640x480"   25.20  640 656 752 800  480 490 492 525
-hsync -vsync
(**) TDFX(0):  Default mode "640x480": 54.0 MHz, 60.0 kHz, 60.0 Hz (D)
(II) TDFX(0): Modeline "640x480"   54.00  640 688 744 900  480 480 482 500
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "720x400": 35.5 MHz, 37.9 kHz, 85.0 Hz
(II) TDFX(0): Modeline "720x400"   35.50  720 756 828 936  400 401 404 446
-hsync +vsync
(**) TDFX(0):  Default mode "640x400": 31.5 MHz, 37.9 kHz, 85.1 Hz
(II) TDFX(0): Modeline "640x400"   31.50  640 672 736 832  400 401 404 445
-hsync +vsync
(**) TDFX(0):  Default mode "576x432": 60.8 MHz, 77.5 kHz, 85.2 Hz (D)
(II) TDFX(0): Modeline "576x432"   60.75  576 608 672 784  432 432 434 455
doublescan +hsync -vsync
(**) TDFX(0):  Default mode "576x432": 54.0 MHz, 67.5 kHz, 75.0 Hz (D)
(II) TDFX(0): Modeline "576x432"   54.00  576 608 672 800  432 432 434 450
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "640x350": 31.5 MHz, 37.9 kHz, 85.1 Hz
(II) TDFX(0): Modeline "640x350"   31.50  640 672 736 832  350 382 385 445
+hsync -vsync
(**) TDFX(0):  Default mode "576x384": 32.5 MHz, 44.2 kHz, 54.8 Hz (D)
(II) TDFX(0): Modeline "576x384"   32.50  576 589 657 736  384 385 388 403
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "512x384": 47.2 MHz, 68.7 kHz, 85.0 Hz (D)
(II) TDFX(0): Modeline "512x384"   47.25  512 536 584 688  384 384 386 404
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "512x384": 39.4 MHz, 60.1 kHz, 75.1 Hz (D)
(II) TDFX(0): Modeline "512x384"   39.40  512 520 568 656  384 384 386 400
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "512x384": 37.5 MHz, 56.5 kHz, 70.1 Hz (D)
(II) TDFX(0): Modeline "512x384"   37.50  512 524 592 664  384 385 388 403
doublescan -hsync -vsync
(**) TDFX(0):  Default mode "512x384": 32.5 MHz, 48.4 kHz, 60.0 Hz (D)
(II) TDFX(0): Modeline "512x384"   32.50  512 524 592 672  384 385 388 403
doublescan -hsync -vsync
(**) TDFX(0):  Default mode "416x312": 28.6 MHz, 49.7 kHz, 74.7 Hz (D)
(II) TDFX(0): Modeline "416x312"   28.64  416 432 464 576  312 312 314 333
doublescan -hsync -vsync
(**) TDFX(0):  Default mode "400x300": 28.1 MHz, 53.7 kHz, 85.3 Hz (D)
(II) TDFX(0): Modeline "400x300"   28.15  400 416 448 524  300 300 302 315
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "400x300": 24.8 MHz, 46.9 kHz, 75.1 Hz (D)
(II) TDFX(0): Modeline "400x300"   24.75  400 408 448 528  300 300 302 312
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "400x300": 25.0 MHz, 48.1 kHz, 72.2 Hz (D)
(II) TDFX(0): Modeline "400x300"   25.00  400 428 488 520  300 318 321 333
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "400x300": 20.0 MHz, 37.9 kHz, 60.3 Hz (D)
(II) TDFX(0): Modeline "400x300"   20.00  400 420 484 528  300 300 302 314
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "400x300": 18.0 MHz, 35.2 kHz, 56.3 Hz (D)
(II) TDFX(0): Modeline "400x300"   18.00  400 412 448 512  300 300 301 312
doublescan +hsync +vsync
(**) TDFX(0):  Default mode "320x240": 18.0 MHz, 43.3 kHz, 85.2 Hz (D)
(II) TDFX(0): Modeline "320x240"   18.00  320 348 376 416  240 240 242 254
doublescan -hsync -vsync
(**) TDFX(0):  Default mode "320x240": 15.8 MHz, 37.5 kHz, 75.0 Hz (D)
(II) TDFX(0): Modeline "320x240"   15.75  320 328 360 420  240 240 242 250
doublescan -hsync -vsync
(**) TDFX(0):  Default mode "320x240": 15.8 MHz, 37.9 kHz, 72.8 Hz (D)
(II) TDFX(0): Modeline "320x240"   15.75  320 332 352 416  240 244 245 260
doublescan -hsync -vsync
(**) TDFX(0):  Default mode "320x240": 12.6 MHz, 31.5 kHz, 60.1 Hz (D)
(II) TDFX(0): Modeline "320x240"   12.60  320 328 376 400  240 245 246 262
doublescan -hsync -vsync
(**) TDFX(0):  Default mode "360x200": 17.8 MHz, 37.9 kHz, 85.0 Hz (D)
(II) TDFX(0): Modeline "360x200"   17.75  360 378 414 468  200 200 202 223
doublescan -hsync +vsync
(**) TDFX(0):  Default mode "320x200": 15.8 MHz, 37.9 kHz, 85.3 Hz (D)
(II) TDFX(0): Modeline "320x200"   15.75  320 336 368 416  200 200 202 222
doublescan -hsync +vsync
(**) TDFX(0):  Default mode "320x175": 15.8 MHz, 37.9 kHz, 85.3 Hz (D)
(II) TDFX(0): Modeline "320x175"   15.75  320 336 368 416  175 191 192 222
doublescan +hsync -vsync
(**) TDFX(0): Display dimensions: (400, 300) mm
(**) TDFX(0): DPI set to (73, 73)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.0
ABI class: XFree86 ANSI C Emulation, version 0.2
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.1.0
ABI class: XFree86 Video Driver, version 0.6
(**) TDFX(0): ShowCache Disabled
(**) TDFX(0): video key default 0x1e
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 0.1.0
ABI class: XFree86 Video Driver, version 0.6
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.0.0
ABI class: XFree86 Video Driver, version 0.6
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
compiled for 4.3.0, module version = 1.1.0
ABI class: XFree86 Video Driver, version 0.6
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/X11R6/lib/modules/linux/libint10.a
(II) TDFX(0): initializing int10
(II) TDFX(0): Primary V_BIOS segment is: 0xc000
(II) TDFX(0): VESA BIOS detected
(II) TDFX(0): VESA VBE Version 3.0
(II) TDFX(0): VESA VBE Total Mem: 16384 kB
(II) TDFX(0): VESA VBE OEM: 3dfx Interactive, Inc.
(II) TDFX(0): VESA VBE OEM Software Rev: 1.0
(II) TDFX(0): VESA VBE OEM Vendor: 3dfx Interactive, Inc.
(II) TDFX(0): VESA VBE OEM Product: Voodoo5 5500 
(II) TDFX(0): VESA VBE OEM Product Rev: Version 1.00
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) TDFX(0): VESA VBE DDC supported
(II) TDFX(0): VESA VBE DDC Level 2
(II) TDFX(0): VESA VBE DDC transfer in appr. 8 sec.
(II) TDFX(0): VESA VBE DDC read successfully
(II) TDFX(0): Manufacturer: SNY  Model: 3b0  Serial#: 2713102
(II) TDFX(0): Year: 2000  Week: 8
(II) TDFX(0): EDID Version: 1.2
(II) TDFX(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) TDFX(0): Sync:  Separate  Composite  SyncOnGreen
(II) TDFX(0): Max H-Image Size [cm]: horiz.: 40  vert.: 30
(II) TDFX(0): Gamma: 2.50
(II) TDFX(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) TDFX(0): GTF timings supported
(II) TDFX(0): redX: 0.625 redY: 0.340   greenX: 0.280 greenY: 0.605
(II) TDFX(0): blueX: 0.155 blueY: 0.070   whiteX: 0.283 whiteY: 0.298
(II) TDFX(0): Supported VESA Video Modes:
(II) TDFX(0): 720x400@70Hz
(II) TDFX(0): 720x400@88Hz
(II) TDFX(0): 640x480@60Hz
(II) TDFX(0): 640x480@67Hz
(II) TDFX(0): 640x480@72Hz
(II) TDFX(0): 640x480@75Hz
(II) TDFX(0): 800x600@56Hz
(II) TDFX(0): 800x600@60Hz
(II) TDFX(0): 800x600@72Hz
(II) TDFX(0): 800x600@75Hz
(II) TDFX(0): 832x624@75Hz
(II) TDFX(0): 1024x768@87Hz (interlaced)
(II) TDFX(0): 1024x768@60Hz
(II) TDFX(0): 1024x768@70Hz
(II) TDFX(0): 1024x768@75Hz
(II) TDFX(0): 1280x1024@75Hz
(II) TDFX(0): 1152x870@75Hz
(II) TDFX(0): Manufacturer's mask: 0
(II) TDFX(0): Supported Future Video Modes:
(II) TDFX(0): #0: hsize: 2048  vsize 1536  refresh: 75  vid: 20449
(II) TDFX(0): #1: hsize: 1920  vsize 1440  refresh: 75  vid: 20433
(II) TDFX(0): #2: hsize: 1600  vsize 1200  refresh: 85  vid: 22953
(II) TDFX(0): #3: hsize: 1280  vsize 1024  refresh: 85  vid: 39297
(II) TDFX(0): #4: hsize: 1152  vsize 864  refresh: 85  vid: 22897
(II) TDFX(0): #5: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) TDFX(0): #6: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) TDFX(0): #7: hsize: 1280  vsize 960  refresh: 75  vid: 20353
(II) TDFX(0): Supported additional Video Mode:
(II) TDFX(0): clock: 157.5 MHz   Image Size:  388 x 291 mm
(II) TDFX(0): h_active: 1280  h_sync: 1344  h_sync_end 1504 h_blank_end 1728
h_border: 0
(II) TDFX(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1072
v_border: 0
(II) TDFX(0): Ranges: V min: 48  V max: 160 Hz, H min: 30  H max: 121 kHz,
PixClock max 300 MHz
(II) TDFX(0): Monitor name: CPD-G500
(II) TDFX(0): Serial No: 2713102
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
[0] 0   0       0xd0000000 - 0xd7ffffff (0x8000000) MX[B]
[1] 0   0       0xe8000000 - 0xebffffff (0x4000000) MX[B]
[2] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
[3] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
[4] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
[5] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
[6] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
[7] -1  0       0xeff90000 - 0xeff9ffff (0x10000) MX[B]
[8] -1  0       0xeffa0000 - 0xeffbffff (0x20000) MX[B]
[9] -1  0       0xeffff000 - 0xefffffff (0x1000) MX[B]
[10] -1 0       0xefffef00 - 0xefffefff (0x100) MX[B]
[11] -1 0       0xe7dff000 - 0xe7dfefff (0x0) MX[B]O
[12] -1 0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
[13] -1 0       0xefef0000 - 0xefefffff (0x10000) MX[B](B)
[14] -1 0       0xd0000000 - 0xd7ffffff (0x8000000) MX[B](B)
[15] -1 0       0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
[16] 0  0       0x000a0000 - 0x000affff (0x10000) MS[B]
[17] 0  0       0x000b0000 - 0x000b7fff (0x8000) MS[B]
[18] 0  0       0x000b8000 - 0x000bffff (0x8000) MS[B]
[19] 0  0       0x00007c00 - 0x00007cff (0x100) IX[B]
[20] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
[21] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
[22] -1 0       0x0000b400 - 0x0000b43f (0x40) IX[B]
[23] -1 0       0x0000b800 - 0x0000b803 (0x4) IX[B]
[24] -1 0       0x0000bc00 - 0x0000bc07 (0x8) IX[B]
[25] -1 0       0x0000c000 - 0x0000c003 (0x4) IX[B]
[26] -1 0       0x0000c400 - 0x0000c407 (0x8) IX[B]
[27] -1 0       0x0000dc00 - 0x0000dcff (0x100) IX[B]
[28] -1 0       0x0000c800 - 0x0000c83f (0x40) IX[B]
[29] -1 0       0x0000cc00 - 0x0000ccff (0x100) IX[B]
[30] -1 0       0x0000d400 - 0x0000d41f (0x20) IX[B]
[31] -1 0       0x0000d000 - 0x0000d01f (0x20) IX[B]
[32] -1 0       0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
[33] -1 0       0x0000d800 - 0x0000d7ff (0x0) IX[B]O
[34] -1 0       0x00007c00 - 0x00007cff (0x100) IX[B](B)
[35] -1 0       0xfffffe00 - 0xfffffeff (0x100) IX[B](B)
[36] 0  0       0x000003b0 - 0x000003bb (0xc) IS[B](OprD)
[37] 0  0       0x000003c0 - 0x000003df (0x20) IS[B](OprD)
(==) TDFX(0): Write-combining range (0xd0000000,0x4000000)
(II) TDFX(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x7900
(II) TDFX(0): Changing back offset from 0x01867000 to 0x01866000
(II) TDFX(0): Textures Memory 19.03 MB
(II) TDFX(0): Cursor Offset: [0x00000000,0x00001000)
(II) TDFX(0): Fifo Offset: [0x00001000, 0x00041000)
(II) TDFX(0): Front Buffer Offset: [0x00041000, 0x0055E800)
(II) TDFX(0): Texture Offset: [0x0055E800, 0x01866000)
(II) TDFX(0): BackOffset: [0x01866000, 0x01C32000)
(II) TDFX(0): DepthOffset: [0x01C33000, 0x01FFF000)
(II) TDFX(0): Minimum 300, Maximum 3231 lines of offscreen memory available
(II) TDFX(0): [dri] VideoRAM = 32768, VirtualXres = 1152, VirtualYres= 864,
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
[drm] failed to load kernel module "tdfx"
(II) TDFX(0): [drm] drmOpen failed
(EE) TDFX(0): [dri] DRIScreenInit failed, disabling DRI.
(II) TDFX(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        8x8 mono pattern filled rectangles
        Indirect CPU to Screen color expansion
        Solid Lines
        Dashed Lines
        Offscreen Pixmaps
        Driver provided NonTEGlyphRenderer replacement
        Setting up tile and stipple cache:
                32 128x128 slots
                20 256x256 slots
                7 512x512 slots
(==) TDFX(0): Backing store disabled
(==) TDFX(0): Silken mouse enabled
(**) Option "dpms"
(**) TDFX(0): DPMS enabled
(==) TDFX(0): Direct rendering disabled
(==) RandR enabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(**) Option "Protocol" "PS/2"
(**) Mouse0: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/psaux"
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: Buttons: 5
(II) Keyboard "Keyboard0" handled by legacy driver
(**) Option "Protocol" "IMPS/2"
(**) DevInputMice: Protocol: "IMPS/2"
(**) Option "AlwaysCore"
(**) DevInputMice: always reports core events
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) DevInputMice: ZAxisMapping: buttons 4 and 5
(**) DevInputMice: Buttons: 5
(II) XINPUT: Adding extended input device "DevInputMice" (type: MOUSE)
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(II) Mouse0: ps2EnableDataReporting: succeeded
(II) DevInputMice: ps2EnableDataReporting: succeeded
Comment 2 Mike A. Harris 2005-03-22 13:06:14 EST
> (WW) TDFX: No matching device section for instance (busid pci:1:5:1) found

This indicates the X server is misconfigured.

> modprobe: Can't locate module tdfx
> [drm] failed to load kernel module "tdfx"
> (EE) TDFX(0): [dri]DRIScreenInit failed, disabling DRI.

This indicates either that your kernel does not support tdfx DRI, or that
your kernel is misinstalled or modules are missing.

Please contact Red Hat Global Support Services at 1-888-RED-HAT1 for
technical support for this issue, and refer the support representative
to this bug report for your details.  Please update the report to indicate
the status of the issue after talking to GSS.

Thanks in advance.

Comment 3 George R. Goffe 2005-03-22 15:24:28 EST
Mike,

I believe this is a RedHat problem because the ONLY thing I changed from the
initial install was the line in /ect/X11/XF86Config file relating to caps swap.
Right after that I ran the RedHat up2date program to update ALL the software
installed from RedHat and then I rebooted. If there's any mis-configuration on
this system it's due to the up2date and/or the RedHat updates provided since the
system (X11) was working up to the point where I started the up2date process.

Regards,

George...
Comment 4 Mike A. Harris 2005-04-14 17:05:16 EDT
Red Hat Enterprise Linux technical support is provided by Red Hat
Global Support Services.  You can contact a support representative
at 1-888-REDHAT1 for assistance with this problem.

Hope this helps.
Comment 7 Mike A. Harris 2005-04-14 17:29:25 EDT
I did a brief check of our officially released kernel rpms for RHEL-3, and
have confirmed that the tdfx kernel DRM module is present in the
"kernel-unsupported" subpackage of each of our officially RHEL-3 kernels.

$ rpm -qlp
/mnt/redhat/beehive/comps/dist/3.0E{,-errata}/kernel/*/i686/kernel-unsupported-2.*.i686.rpm
|grep drm/tdfx
/lib/modules/2.4.21-4.17.EL/unsupported/drivers/char/drm/tdfx.o
/lib/modules/2.4.21-15.0.2.EL/unsupported/drivers/char/drm/tdfx.o
/lib/modules/2.4.21-15.0.3.EL/unsupported/drivers/char/drm/tdfx.o
/lib/modules/2.4.21-15.0.4.EL/unsupported/drivers/char/drm/tdfx.o
/lib/modules/2.4.21-4.0.1.EL/unsupported/drivers/char/drm/tdfx.o
/lib/modules/2.4.21-4.0.2.EL/unsupported/drivers/char/drm/tdfx.o
/lib/modules/2.4.21-9.0.1.EL/unsupported/drivers/char/drm/tdfx.o
/lib/modules/2.4.21-9.0.3.EL/unsupported/drivers/char/drm/tdfx.o
/lib/modules/2.4.21-9.EL/unsupported/drivers/char/drm/tdfx.o

It appears that you have not upgraded the kernel-unsupported package,
so you do not have the module installed.  Hopefully this information
is useful in resolving the problem, however if you require additional
assistance, you can contact Red Hat GSS for technical support as
indicated above.

Hope this helps.

Setting status to "NOTABUG", as I've confirmed the module is present
in our shipped kernels, in the kernel-unsupported package, which
also indicates that we do not provide support for tdfx DRI.
Comment 8 George R. Goffe 2005-04-14 19:05:38 EDT
Mike,

THis does NOT explain why the server worked before I did the up2date process.
For some unknown reason I tryed putting mwm in my .xinitrc and what a surprise
that I got an X11 display. It's looking like "your" gnome is/was broken.

Apparently the problem is NOT related to kernel-unsupported*rpm. To further
substantiate this, I installed the rpm and found that x11 (i.e., gnome)
continued to fail.

I'm not terribly impressed by the support provided by RedHat in helping me with
this problem.

George...

Note You need to log in before you can comment on or make changes to this bug.